package com.xt.hb.data.camera.model;

/**
 * 摄像机信息
 * 
 * @author zhaoyong
 */
public class CameraInfo {

	/**
	 * 摄像机信息主键
	 */
	private String cameraId;

	/**
	 * 摄像机编号
	 */
	private String indexCode;

	/**
	 * 区域编号
	 */
	private String regionId;

	/**
	 * 摄像机名称
	 */
	private String name;

	/**
	 * 0-枪机/1-半球/2-快球/3-云台
	 */
	private String cameraType;

	/**
	 * 0-主码流 1-子码流
	 */
	private String streamType;

	/**
	 * 摄像头像素：1：普通、2：130万高清、3：200万高清、4：300万高清
	 */
	private String pixel;

	/**
	 * 1：全方位云台（带转动和变焦）；2：只有变焦，不带转动3：只有转动，不带变焦4：无云台，无变焦
	 */
	private String ptzType;

	/**
	 * 音频
	 */
	private String sound;

	/**
	 * 经度
	 */
	private String longitude;

	/**
	 * 纬度
	 */
	private String latitude;

	/**
	 * 0：在线 1：不在线
	 */
	public String curState;

	public String getCameraId() {
		return cameraId;
	}

	public void setCameraId(String cameraId) {
		this.cameraId = cameraId;
	}

	public String getIndexCode() {
		return indexCode;
	}

	public void setIndexCode(String indexCode) {
		this.indexCode = indexCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCameraType() {
		return cameraType;
	}

	public void setCameraType(String cameraType) {
		this.cameraType = cameraType;
	}

	public String getStreamType() {
		return streamType;
	}

	public void setStreamType(String streamType) {
		this.streamType = streamType;
	}

	public String getPixel() {
		return pixel;
	}

	public void setPixel(String pixel) {
		this.pixel = pixel;
	}

	public String getPtzType() {
		return ptzType;
	}

	public void setPtzType(String ptzType) {
		this.ptzType = ptzType;
	}

	public String getSound() {
		return sound;
	}

	public void setSound(String sound) {
		this.sound = sound;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getCurState() {
		return curState;
	}

	public void setCurState(String curState) {
		this.curState = curState;
	}

	public String getRegionId() {
		return regionId;
	}

	public void setRegionId(String regionId) {
		this.regionId = regionId;
	}

}